package dp.factoryMethod.example;

/**
 * @uml.dependency   supplier="factoryMethod.example.Electronics"
 */
public class ElectronicsStore extends Store {

	@Override
	protected Order createOrder( String type ) {
		Electronics newElectronicsOrder = new Electronics( type );
		//Elektronik malzeme siparii iin yaplacak ilemlerin tanmlanmas
		return newElectronicsOrder;
	}

}
