package dp.memento;

public class Originator {
	private State state;
	
	public Originator( ) {
		state = new State( );
	}

	public Memento createMemento( ) {
		Memento m = new Memento( );
		m.setState(state);
		return m;
	}
	
	public void setMemento( Memento m ) {
		state = m.getState();
	}
	
	public void modify(String str) {
		state.setDurum(str);
	}
	
	public String toString( ) {
		return state.getDurum();
	}
	
}
